Missing support for WPA2 Enterprise

Bug #1739578 reported by Viktor Petersson on 2017-12-21
56
This bug affects 10 people
Affects Status Importance Assigned to Milestone
netplan
Wishlist
Unassigned
netplan.io (Ubuntu)
Wishlist
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

[Impact]
Ubuntu users (especially on servers) wishing to make use of wireless devices and configure them via netplan.

[Test case]
/!\ Requires a network setup with 802.1x security
1) Install Ubuntu server on system that needs to connect to a wireless network secured with WPA2 Enterprise, or 802.1x wired.

== For each backend (networkd, NetworkManager) ==
2) Configure netplan to enable access to the network (configurations may vary, use this as an example):

network:
  version: 2
  renderer: <backend>
  wifis:
    wlan0:
      dhcp4: yes
      access-points:
        workplace:
          auth:
            key-management: eap
            method: ttls
            anonymous-identity: "@internal.example.com"
            identity: "<email address hidden>"
            password: "v3ryS3kr1t"

(the auth: stanza is the important one which defines security for the network)

3) Run 'sudo netplan apply' or reboot.
4) Validate that the system connects succesfully to the 802.1x-secured network.

== For each backend (networkd, NetworkManager) ==
2) Configure netplan to access a wireless network secured using WPA2 Personal

network:
  version: 2
  renderer: <backend>
  wifis:
    wlan0:
      dhcp4: yes
      access-points:
        home:
          password: mysupersecurepassword

3) Run 'sudo netplan apply' or reboot.
4) Validate that the system connects successfully to the network.

[Regression potential]
Watch out for issues related to connecting to previously accessible networks; this adds further configuration to the wpa configuration generated by netplan as well as to the NetworkManager configuration when using the NetworkManager backend. Existing configurations for WPA2 personal have been made into a shorthand for specifying key-management and cipher methods for 'wpa2-psk'.

---

With Ubuntu 17.10 switching to using Netplan as the default network configuration method (https://insights.ubuntu.com/2017/07/10/netplan-by-default-in-17-10/), more and more users will start migrating over to Netplan. This is good news, as Netplan is a nice abstraction.

One issue that I've run across already with Netplan is that it doesn't support WPA2 Enterprise (or 802.1x in general AFAIK). This is a blocker for most enterprise and educational deployments (in particular on Ubuntu Core).

It would be great if Netplan could add this support natively such that it can become the standard for network configuration that it aspires to be with the recent developments.

summary: - Netplan does not support WPA2 Enterprise
+ Missing support for WPA2 Enterprise
Kyle Nitzsche (knitzsche) wrote :

Can this be triaged please?

WPA Enterprise is a complex new feature, given that systemd-networkd doesn't really support wireless at all.

Ideally, I would like this to be handled as a separate new "backend" for wireless, and just write off wifi as not being supported by the networkd backend (as long as it isn't, since it's not).

Let's handle 802.1x separately from this too. The story is going to be similar, but implementation might be complex given that it will need to bring up a device first, then hand off to another backend to bring up the IP layer.

Setting Triaged/Wishlist since it's a brand new feature request.

Changed in netplan:
status: New → Triaged
importance: Undecided → Wishlist
tags: added: id-5a53db44a42020685170ca68
Sjoerd Thomas (sjoerdt) wrote :

Is there any work being done on this? Earlier this week I had a few consultants with Ubuntu 18.04 LTS laptops show up at work. They struggled to connect to our 802.1x network - and now I'm here.

I would respectfully disagree in calling 802.1x complex or even a new feature. I have a similar experience as the original reporter, that is, 802.1x is very common in most corporate or educational environments. In a previous job as a consultant, pretty much every company I've been to with >50 employees over the last five-six years have been running 802.1x, on both their wireless and wired networks.

For an example of 802.1x in the educational environment, checkout https://en.wikipedia.org/wiki/Eduroam.

As for authentication methods, 802.1x with EAP-PEAP-MSCHAPv2 (login with e.g. AD credentials) and EAP-TLS (mutual TLS authentication) seem to be the most common setups.

Port authentication is quite useful. A Windows machine which has just booted up may authenticate itself (using machine credentials) to the network and have its port assigned to VLAN A. In this VLAN it might not be able to communicate with anything else than the absolute necessary (inventory systems, receiving system updates, ..).

Later, when somebody logs in, it initiates a new port authentication and gets assigned VLAN B based on the logged in user's Active Directory credentials. A different used may get assigned VLAN C. This is a great way of creating different logical networks to, say, isolate departments with developers (who often run untrusted code) from those working in finance or sales. (Because most often they do not need to access each other's specific resources.)

It seems it's actually possible to get systemd-networkd to work with wpa_supplicant via the wpa_supplicant@<interface>.service or wpa_supplicant-wired@<interface>.service files. Checkout Arch's wiki:
https://wiki.archlinux.org/index.php/WPA_supplicant

FWIW: Debian patched a wpa_supplicant-wired.service related bug in Aug, 2017: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=871488

Do you think this is something netplan.io can support in the future??

Jamey Hicks (jamey-hicks) wrote :

Is anybody looking at this? Otehrwise, I'm working on a patch that adds fields so that netplan will configure wpa_supplicant for 802.1x.

Viktor Petersson (vpetersson) wrote :

@Jameey - to my knowledge, nobody is working/looking at this. I'd very much would love to get this feature supported as we run across it fairly frequently.

There was a pull request for this:
https://github.com/CanonicalLtd/netplan/pull/29

It took a while to get it implemented and reviewed, but I've now merged the branch into master. We'll ship a new release with all of this very soon.

Changed in netplan:
status: Triaged → Fix Committed
Changed in netplan.io (Ubuntu):
status: New → In Progress
importance: Undecided → Wishlist
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package netplan.io - 0.95

---------------
netplan.io (0.95) disco; urgency=medium

  * New upstream release:
    - Added support for WPA Enterprise / 802.1x authentication (LP: #1739578)
    - Added support for setting up IP tunnels; supporting the types: ipip,
      gretap, VTI, ISATAP (NetworkManager only), sit, gre, ipip6 and ip6ip6.
      + Fixes sit (ipv6) tunnels using Hurricane Electric (LP: #1799487)
    - Add support to override networkd UseMTU setting (LP: #1807273)
    - Generate output files in dependency order
    - Refactored unit and integration tests, along with various cleanups.
    - Add DHCP overrides to control route usage and default metric for DHCP
      routes. (LP: #1776228)
    - Mitigate against bad matching on devices behind bonds then they share
      the same MAC from a physical interface. (LP: #1804861)
    - Added snapcraft.yaml.

 -- Mathieu Trudel-Lapierre <email address hidden> Fri, 14 Dec 2018 16:04:05 -0500

Changed in netplan.io (Ubuntu):
status: In Progress → Fix Released
Changed in netplan:
status: Fix Committed → Fix Released
description: updated

Hello Viktor, or anyone else affected,

Accepted netplan.io into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netplan.io/0.96-0ubuntu0.18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in netplan.io (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Timo Aaltonen (tjaalton) wrote :

Hello Viktor, or anyone else affected,

Accepted netplan.io into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netplan.io/0.96-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in netplan.io (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Viktor Petersson (vpetersson) wrote :

@Timo will this be backported to Core16?

That is up to the Ubuntu Core team to do; but before they can do it it needs to be landed in the archive for classic :)

Steve Langasek (vorlon) wrote :

Hello Viktor, or anyone else affected,

Accepted netplan.io into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netplan.io/0.96-0ubuntu0.18.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Steve Langasek (vorlon) wrote :

Hello Viktor, or anyone else affected,

Accepted netplan.io into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netplan.io/0.96-0ubuntu0.18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Verification-done on bionic:

ubuntu@ubuntu-XPS-13-9350:/etc/netplan$ dpkg -l netplan.io | cat
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-==============-=====================-============-===========================================================
ii netplan.io 0.96-0ubuntu0.18.04.2 amd64 YAML network configuration abstraction for various backends
ubuntu@ubuntu-XPS-13-9350:/etc/netplan$ cat netplan.yaml
network:
  version: 2
  renderer: networkd
  wifis:
    wlp58s0:
      access-points:
        cyphermox-secure:
          auth:
            key-management: eap
            password: **********
            method: peap
            identity: mtrudel
      dhcp4: yes

ubuntu@ubuntu-XPS-13-9350:/etc/netplan$ networkctl
IDX LINK TYPE OPERATIONAL SETUP
  1 lo loopback carrier unmanaged
  2 wlp58s0 wlan routable configured

2 links listed.
ubuntu@ubuntu-XPS-13-9350:/etc/netplan$ sudo wpa_cli
[...]
> interface wlp58s0
Connected to interface 'wlp58s0.
> status
bssid=fe:ec:da:3c:dd:85
freq=5785
ssid=cyphermox-secure
id=0
mode=station
pairwise_cipher=CCMP
group_cipher=CCMP
key_mgmt=WPA2/IEEE 802.1X/EAP
wpa_state=COMPLETED
ip_address=10.3.1.222
p2p_device_address=44:85:00:1d:8f:e0
address=44:85:00:1d:8f:df
Supplicant PAE state=AUTHENTICATED
suppPortStatus=Authorized
EAP state=SUCCESS
selectedMethod=25 (EAP-PEAP)
eap_tls_version=TLSv1
EAP TLS cipher=ECDHE-RSA-AES256-SHA
tls_session_reused=0
EAP-PEAPv0 Phase2 method=MSCHAPV2
eap_session_id=19f0e2954987468e732c6c9f2c09005ac6dff6ea8614d1abc82a03824d92cc9b625ca3b58a6cd56025e2bee8cd856bd57cff338e54150caffffce810df93d0b7a4
uuid=16d5a610-234c-5373-945a-25b6dcd082fc

Verification-done on cosmic:

ubuntu@ubuntu:~$ dpkg -l netplan.io | grep ii
ii netplan.io 0.96-0ubuntu0.18.10.2 arm64 YAML network configuration abstraction for various backends
ubuntu@ubuntu:~$ grep -A 20 wifis /etc/netplan/50-cloud-init.yaml
    wifis:
        wlan0:
            dhcp4: yes
            dhcp6: yes
            access-points:
                cyphermox-secure:
                    auth:
                        key-management: eap
                        method: ttls
                        identity: mtrudel
                        password: ***********
ubuntu@ubuntu:~$ ip addr show dev wlan0
3: wlan0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel state UP group default qlen 1000
    link/ether b8:27:eb:4e:a0:b7 brd ff:ff:ff:ff:ff:ff
    inet 10.3.1.227/22 brd 10.3.3.255 scope global dynamic wlan0
       valid_lft 8666sec preferred_lft 8666sec
    inet6 fe80::ba27:ebff:fe4e:a0b7/64 scope link
       valid_lft forever preferred_lft forever
ubuntu@ubuntu:~$ sudo wpa_cli
wpa_cli v2.6
Copyright (c) 2004-2016, Jouni Malinen <email address hidden> and contributors

This software may be distributed under the terms of the BSD license.
See README for more details.

Selected interface 'p2p-dev-wlan0'

Interactive mode

> interface wlan0
Connected to interface 'wlan0.
> status
bssid=fe:ec:da:3b:dd:85
freq=2437
ssid=cyphermox-secure
id=0
mode=station
pairwise_cipher=CCMP
group_cipher=CCMP
key_mgmt=WPA2/IEEE 802.1X/EAP
wpa_state=COMPLETED
ip_address=10.3.1.227
p2p_device_address=66:48:1c:a0:fa:96
address=b8:27:eb:4e:a0:b7
Supplicant PAE state=AUTHENTICATED
suppPortStatus=Authorized
EAP state=SUCCESS
selectedMethod=21 (EAP-TTLS)
eap_tls_version=TLSv1
EAP TLS cipher=ECDHE-RSA-AES256-SHA
tls_session_reused=0
EAP-TTLSv0 Phase2 method=EAP-MD5
eap_session_id=15854365a85f10fad12458a1474efdfc2861f716b3e9ddf86bdfc9bfef4f26d5485ca4d04cae14dc97d4265e000507ff4231b34bcb5c7ad02ff16a337cd69c8a74
uuid=04ac78d8-7822-50ee-9519-6a739c6bc7b4

tags: added: verification-done-bionic verification-done-cosmic
removed: verification-needed verification-needed-bionic verification-needed-cosmic
Steve Langasek (vorlon) wrote :

Hello Viktor, or anyone else affected,

Accepted netplan.io into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netplan.io/0.96-0ubuntu0.18.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-bionic
removed: verification-done-bionic

This is still verification-done for bionic; re-upload was to skip some failing tunnel tests due to a difference in kernel behavior.

tags: added: verification-done-bionic
removed: verification-needed-bionic
tags: removed: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (3.4 KiB)

This bug was fixed in the package netplan.io - 0.96-0ubuntu0.18.10.2

---------------
netplan.io (0.96-0ubuntu0.18.10.2) cosmic; urgency=medium

  * d/p/0001-Partially-revert-the-change-for-enabling-systemd-net.patch:
    Partially revert changes to networkd jobs ordering: leave systemd-networkd
    enabled in multi-user.target instead of network-online.target, as in some
    minimal setups there might be no job requiring network-online.target,
    whereas the natural target to reach for booting is multi-user.target.
    (LP: #1821867)

netplan.io (0.96-0ubuntu0.18.10.1) cosmic; urgency=medium

  * Backport netplan.io 0.96 to 18.10.
  * debian/patches/glib_changes.patch: Patch tests to work again on older GLib.
  * debian/control: adjust Depends for cosmic / re-add nplan package.

netplan.io (0.96-0ubuntu1) disco; urgency=medium

  * New upstream release 0.96.
    - Moved netplan-wpa@ services to earlier at boot (LP: #1819014)
    - Restart services when unconfiguring (LP: #1811868)
    - Use the .nmconnection extension for NM keyfiles (LP: #1817655)
    - Fixed integration tests runner to correctly report failures
    - Enforce integrity for use-routes in networkd backend.
    - Ensure terminal state at end of test (LP: #1817660)
    - Various small test fixes.
    - Fix typos in documentation.
  * debian/control: Update Maintainer for ubuntu upload.

netplan.io (0.95-2) unstable; urgency=medium

  * Set Priority to optional (Closes: #920327).

netplan.io (0.95-1) unstable; urgency=medium

  * New upstream release.
  * Update autopkgtests from the upstream.
  * Add debian/watch following GitHub releases.
  * Add Homepage (Closes: #917233).

netplan.io (0.95) disco; urgency=medium

  * New upstream release:
    - Added support for WPA Enterprise / 802.1x authentication (LP: #1739578)
    - Added support for setting up IP tunnels; supporting the types: ipip,
      gretap, VTI, ISATAP (NetworkManager only), sit, gre, ipip6 and ip6ip6.
      + Fixes sit (ipv6) tunnels using Hurricane Electric (LP: #1799487)
    - Add support to override networkd UseMTU setting (LP: #1807273)
    - Generate output files in dependency order
    - Refactored unit and integration tests, along with various cleanups.
    - Add DHCP overrides to control route usage and default metric for DHCP
      routes. (LP: #1776228)
    - Mitigate against bad matching on devices behind bonds then they share
      the same MAC from a physical interface. (LP: #1804861)
    - Added snapcraft.yaml.

netplan.io (0.90.1) disco; urgency=medium

  * Do not assume /etc/network exists in postinst, as netbase 5.5 no longer
    creates it.
  * netplan/cli/commands/ip.py: fix a flake.

netplan.io (0.90) disco; urgency=medium

  * New upstream release:
    - build: fixes for building on RPM-based distros
    - build: code prettiness changes (make indentation consistent)
    - Fix device name-changes detection (LP: #1770082)
    - Add support for IPv6 Privacy Extensions (LP: #1750392)
    - Add dhcp{4,6}-overrides to control DNS, NTP, hostname updates via DHCP
      (LP: #1759014)
    - Clarify MAC and MTU setting requirements (LP: #1800668)
    - Various documentation fixes (LP: #1800669)
    -...

Read more...

Changed in netplan.io (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for netplan.io has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Download full text (3.9 KiB)

Hi guys

Thanks for updates. I checked if it’s available in the latest (edge) core snap for Ubuntu Core 16.
The manifest file says that Netplan version used there is `nplan 0.32~16.04.6`.

Is it planned to get support for this feature in ubuntu core 16?

Thanks,
Renat

> On Apr 16, 2019, at 1:33 AM, Brian Murray <email address hidden> wrote:
>
> The verification of the Stable Release Update for netplan.io has
> completed successfully and the package has now been released to
> -updates. Subsequently, the Ubuntu Stable Release Updates Team is being
> unsubscribed and will not receive messages about this bug report. In
> the event that you encounter a regression using the package from
> -updates please report a new bug using ubuntu-bug and tag the bug report
> regression-update so we can easily find any regressions.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1739578
>
> Title:
> Missing support for WPA2 Enterprise
>
> Status in netplan:
> Fix Released
> Status in netplan.io package in Ubuntu:
> Fix Released
> Status in netplan.io source package in Bionic:
> Fix Committed
> Status in netplan.io source package in Cosmic:
> Fix Released
>
> Bug description:
> [Impact]
> Ubuntu users (especially on servers) wishing to make use of wireless devices and configure them via netplan.
>
> [Test case]
> /!\ Requires a network setup with 802.1x security
> 1) Install Ubuntu server on system that needs to connect to a wireless network secured with WPA2 Enterprise, or 802.1x wired.
>
> == For each backend (networkd, NetworkManager) ==
> 2) Configure netplan to enable access to the network (configurations may vary, use this as an example):
>
> network:
> version: 2
> renderer: <backend>
> wifis:
> wlan0:
> dhcp4: yes
> access-points:
> workplace:
> auth:
> key-management: eap
> method: ttls
> anonymous-identity: "@internal.example.com"
> identity: "<email address hidden>"
> password: "v3ryS3kr1t"
>
> (the auth: stanza is the important one which defines security for the
> network)
>
> 3) Run 'sudo netplan apply' or reboot.
> 4) Validate that the system connects succesfully to the 802.1x-secured network.
>
> == For each backend (networkd, NetworkManager) ==
> 2) Configure netplan to access a wireless network secured using WPA2 Personal
>
> network:
> version: 2
> renderer: <backend>
> wifis:
> wlan0:
> dhcp4: yes
> access-points:
> home:
> password: mysupersecurepassword
>
> 3) Run 'sudo netplan apply' or reboot.
> 4) Validate that the system connects successfully to the network.
>
> [Regression potential]
> Watch out for issues related to connecting to previously accessible networks; this adds further configuration to the wpa configuration generated by netplan as well as to the NetworkManager configuration when using the NetworkManager backend. Existing configurations for WPA2 personal have been made into a shorthand for specifying key-management and cipher methods for 'wpa2-psk'.
>
...

Read more...

Steve Langasek (vorlon) wrote :

A possible SRU regression has been reported against netplan.io 0.96-0ubuntu0.18.10.2 in LP: #1825206. This version has been rolled back to -proposed while the investigation is ongoing.

Changed in netplan.io (Ubuntu Cosmic):
status: Fix Released → Fix Committed

Hello Viktor, or anyone else affected,

Accepted netplan.io into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netplan.io/0.96-0ubuntu0.18.10.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-cosmic
removed: verification-done-cosmic
Brian Murray (brian-murray) wrote :

Hello Viktor, or anyone else affected,

Accepted netplan.io into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/netplan.io/0.96-0ubuntu0.18.04.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed-bionic
removed: verification-done-bionic

Setting back to verification-done; this is still verified for bionic and cosmic (no change with new revision in -proposed).

tags: added: verification-done-bionic
removed: verification-needed-bionic
tags: added: verification-done-cosmic
removed: verification-needed verification-needed-cosmic
Launchpad Janitor (janitor) wrote :
Download full text (4.5 KiB)

This bug was fixed in the package netplan.io - 0.96-0ubuntu0.18.04.4

---------------
netplan.io (0.96-0ubuntu0.18.04.4) bionic; urgency=medium

  * debian/patches/git_revert_explicit_renderer_def_ebc212a.patch: revert
    commit ebc212a: make renderer values explicit at the end of each parsing
    pass; it breaks "default" renderer behavior when multiple files may set
    a global renderer and expect the last to take effect globally.
    (LP: #1825206)
  * debian/patches/git_reorg_netdef_validation_181b583.patch: correct the
    fallout from the above change: validate netdefs in a single pass at the
    very end of parsing, once we know which is the applicable renderer. This
    makes sure tunnels get validated correctly.

netplan.io (0.96-0ubuntu0.18.04.3) bionic; urgency=medium

  * debian/patches/disable-networkd-tunnels-ipip-gre.patch: disable IPIP and
    GRE tunnel tests; those appear to be broken because neither the kernel nor
    networkd bring up the device automatically as in other releases.

netplan.io (0.96-0ubuntu0.18.04.2) bionic; urgency=medium

  * d/p/0001-Partially-revert-the-change-for-enabling-systemd-net.patch:
    Partially revert changes to networkd jobs ordering: leave systemd-networkd
    enabled in multi-user.target instead of network-online.target, as in some
    minimal setups there might be no job requiring network-online.target,
    whereas the natural target to reach for booting is multi-user.target.
    (LP: #1821867)

netplan.io (0.96-0ubuntu0.18.04.1) bionic; urgency=medium

  * Backport netplan.io 0.96 to 18.04.
  * debian/patches/glib_changes.patch: Patch tests to work again on older GLib.
  * debian/control: adjust Depends for bionic / re-add nplan package.

netplan.io (0.96-0ubuntu1) disco; urgency=medium

  * New upstream release 0.96.
    - Moved netplan-wpa@ services to earlier at boot (LP: #1819014)
    - Restart services when unconfiguring (LP: #1811868)
    - Use the .nmconnection extension for NM keyfiles (LP: #1817655)
    - Fixed integration tests runner to correctly report failures
    - Enforce integrity for use-routes in networkd backend.
    - Ensure terminal state at end of test (LP: #1817660)
    - Various small test fixes.
    - Fix typos in documentation.
  * debian/control: Update Maintainer for ubuntu upload.

netplan.io (0.95-2) unstable; urgency=medium

  * Set Priority to optional (Closes: #920327).

netplan.io (0.95-1) unstable; urgency=medium

  * New upstream release.
  * Update autopkgtests from the upstream.
  * Add debian/watch following GitHub releases.
  * Add Homepage (Closes: #917233).

netplan.io (0.95) disco; urgency=medium

  * New upstream release:
    - Added support for WPA Enterprise / 802.1x authentication (LP: #1739578)
    - Added support for setting up IP tunnels; supporting the types: ipip,
      gretap, VTI, ISATAP (NetworkManager only), sit, gre, ipip6 and ip6ip6.
      + Fixes sit (ipv6) tunnels using Hurricane Electric (LP: #1799487)
    - Add support to override networkd UseMTU setting (LP: #1807273)
    - Generate output files in dependency order
    - Refactored unit and integration tests, along with various cleanups.
    - Add DHCP overrides to control ...

Read more...

Changed in netplan.io (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.0 KiB)

This bug was fixed in the package netplan.io - 0.96-0ubuntu0.18.10.3

---------------
netplan.io (0.96-0ubuntu0.18.10.3) cosmic; urgency=medium

  * debian/patches/git_revert_explicit_renderer_def_ebc212a.patch: revert
    commit ebc212a: make renderer values explicit at the end of each parsing
    pass; it breaks "default" renderer behavior when multiple files may set
    a global renderer and expect the last to take effect globally.
    (LP: #1825206)
  * debian/patches/git_reorg_netdef_validation_181b583.patch: correct the
    fallout from the above change: validate netdefs in a single pass at the
    very end of parsing, once we know which is the applicable renderer. This
    makes sure tunnels get validated correctly.

netplan.io (0.96-0ubuntu0.18.10.2) cosmic; urgency=medium

  * d/p/0001-Partially-revert-the-change-for-enabling-systemd-net.patch:
    Partially revert changes to networkd jobs ordering: leave systemd-networkd
    enabled in multi-user.target instead of network-online.target, as in some
    minimal setups there might be no job requiring network-online.target,
    whereas the natural target to reach for booting is multi-user.target.
    (LP: #1821867)

netplan.io (0.96-0ubuntu0.18.10.1) cosmic; urgency=medium

  * Backport netplan.io 0.96 to 18.10.
  * debian/patches/glib_changes.patch: Patch tests to work again on older GLib.
  * debian/control: adjust Depends for cosmic / re-add nplan package.

netplan.io (0.96-0ubuntu1) disco; urgency=medium

  * New upstream release 0.96.
    - Moved netplan-wpa@ services to earlier at boot (LP: #1819014)
    - Restart services when unconfiguring (LP: #1811868)
    - Use the .nmconnection extension for NM keyfiles (LP: #1817655)
    - Fixed integration tests runner to correctly report failures
    - Enforce integrity for use-routes in networkd backend.
    - Ensure terminal state at end of test (LP: #1817660)
    - Various small test fixes.
    - Fix typos in documentation.
  * debian/control: Update Maintainer for ubuntu upload.

netplan.io (0.95-2) unstable; urgency=medium

  * Set Priority to optional (Closes: #920327).

netplan.io (0.95-1) unstable; urgency=medium

  * New upstream release.
  * Update autopkgtests from the upstream.
  * Add debian/watch following GitHub releases.
  * Add Homepage (Closes: #917233).

netplan.io (0.95) disco; urgency=medium

  * New upstream release:
    - Added support for WPA Enterprise / 802.1x authentication (LP: #1739578)
    - Added support for setting up IP tunnels; supporting the types: ipip,
      gretap, VTI, ISATAP (NetworkManager only), sit, gre, ipip6 and ip6ip6.
      + Fixes sit (ipv6) tunnels using Hurricane Electric (LP: #1799487)
    - Add support to override networkd UseMTU setting (LP: #1807273)
    - Generate output files in dependency order
    - Refactored unit and integration tests, along with various cleanups.
    - Add DHCP overrides to control route usage and default metric for DHCP
      routes. (LP: #1776228)
    - Mitigate against bad matching on devices behind bonds then they share
      the same MAC from a physical interface. (LP: #1804861)
    - Added snapcraft.yaml.

netplan.io (0.90.1) disco; urgency=medium

  * Do ...

Read more...

Changed in netplan.io (Ubuntu Cosmic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.